XmAddWMProtocols(3Xm)

NAME
XmAddWMProtocols — a VendorShell convenience interface that adds the protocols to the protocol manager and allocates the internal tables.

SYNOPSIS
#include <Xm/Xm.h>
#include <X11/Protocols.h>

void XmAddWMProtocols (shell, protocols, num_protocols)
    Widget    shell;
    Atom    * protocols;
    Cardinal    num_protocols;

DESCRIPTION
XmAddWMProtocols is a convenience interface. It calls XmAddProtocols with the property value set to the atom returned by interning WM_PROTOCOLS.

shell
    Specifies the widget with which the protocol property is associated.

protocols
    Specifies the protocol Atoms (or ints cast to Atom).

num_protocols
    Specifies the number of elements in protocols.

For a complete definition of VendorShell and its associated resources, see VendorShell(3Xm).

RELATED INFORMATION
VendorShell(3Xm), XmAddProtocols(3Xm), and XmInternAtom(3Xm).